Skip to main content
POST
/
v1
/
namespace
/
{namespaceId}
/
ingest-jobs
/
{jobId}
/
re-ingest
TypeScript
import { Agentset } from "agentset";

const agentset = new Agentset({ apiKey: 'agentset_xxx' });
const ns = agentset.namespace('ns_xxx');

const result = await ns.ingestion.reIngest("job_123");
console.log("Job queued for re-ingestion: ", result);
{
  "success": true,
  "data": {
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Default authentication mechanism

Headers

x-tenant-id
string

Optional tenant id to use for the request. If not provided, the namespace will be used directly. Must be alphanumeric and up to 64 characters.

Pattern: ^[A-Za-z0-9]{1,64}$

Path Parameters

namespaceId
string
required

The id of the namespace (prefixed with ns_)

Example:

"ns_123"

jobId
string
required

The id of the job (prefixed with job_)

Example:

"job_123"

Response

The re-ingested job

success
boolean
required
data
object
required